<?php

class WCOA_My_Account
{
	public function __construct()
	{
		add_action( 'init', [$this, 'add_rule'] );
		add_filter( 'query_vars', [$this, 'whitelist_update'], 0);
		add_filter( 'woocommerce_account_menu_items', [$this, 'initialize_menu'] );
		add_action( 'woocommerce_account_wcoa-attachments_endpoint', [$this, 'initialize_template'] );
        wp_enqueue_style( 'wcoa-front-app', WCOA_PLUGIN_URL . '/assets/frontend/css/style.css', false, 1.0, 'all' );
	}

	public function add_rule()
	{
		add_rewrite_endpoint( 'wcoa-attachments', EP_ROOT | EP_PAGES );
	}

	public function whitelist_update($vars)
	{
		$vars[] = 'wcoa-attachments';
		return $vars;
	}

    public function initialize_menu($items): array
    {
        $attachments = ['wcoa-attachments' => __('Attachments', 'sld-wcoa')];

        $counter = count($items);

        return array_slice($items,0,$counter -1,true )
            + $attachments
            + array_slice($items,1,NULL,true );
    }

	public function initialize_template()
	{
		require_once WCOA_PLUGIN_DIR . 'templates/frontend/frontend-my-account-attachments.php';
	}




}

new WCOA_My_Account();