<?php
/**
 * Plugin Name: Order Attachments for WooCommerce
 * Description: This plugin allows you to add a file to orders in your store.
 * Author: DIRECT SOFTWARE
 * Author URI: https://directsoftware.pl
 * Text Domain: sld-wcoa
 * Domain Path: /languages/
 * Version: 2.1.1
 * Requires at least: 5.5
 * Requires PHP: 7.0
 * Tested up to: 6.2
 * WC tested up to: 7.6.0
 * License: GNU General Public License v3.0
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 */

if ( ! defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

define( 'WCOA_PLUGIN_VERSION', '2.1.1' );
define( 'WCOA_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'WCOA_PLUGIN_URL', plugins_url( '', __FILE__ ) );
define( 'WCOA_BASENAME', plugin_basename(__FILE__) );

if ( !in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	add_action( 'admin_notices', 'wcoa_woocommerce_verification' );
	return;
}

function wcoa_woocommerce_verification() { ?>
	<div class="notice notice-error">
		<p class="wcoa-weight-600"><?php _e( 'An error occurred while attempting to run Order Attachments for WooCommerce plugin!', 'sld-wcoa' ); ?></p>
		<p><?php _e( 'WooCommerce plugin install and activate required.', 'sld-wcoa' ); ?></p>
	</div>
	<?php
}

require_once WCOA_PLUGIN_DIR . 'bootstrap.php';

register_activation_hook( __FILE__, ['WCOA_Admin', 'restart_rewrite'] );
